# gdcm::PNMCodec Class Reference

Class to do PNM PNM is the Portable anymap file format. The main web page can be found at: http://netpbm.sourceforge.net/. More...

`#include <gdcmPNMCodec.h>`

Inheritance diagram for gdcm::PNMCodec:
[legend]
Collaboration diagram for gdcm::PNMCodec:
[legend]

List of all members.

## Public Member Functions

| PNMCodec ()
| ~PNMCodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
unsigned long | GetBufferLength () const
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
bool | Read (const char *filename, DataElement &out) const
void | SetBufferLength (unsigned long l)
bool | Write (const char *filename, const DataElement &out) const

## Detailed Description

Class to do PNM PNM is the Portable anymap file format. The main web page can be found at: http://netpbm.sourceforge.net/.

Note:
  Only support P5 & P6 PNM file (binary grayscale and binary rgb)

## Constructor & Destructor Documentation

gdcm::PNMCodec::PNMCodec | ( |  | ) |

gdcm::PNMCodec::~PNMCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::PNMCodec::CanCode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::PNMCodec::CanDecode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

unsigned long gdcm::PNMCodec::GetBufferLength | ( |  | ) | const`[inline]`

bool gdcm::PNMCodec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  | `[virtual]`

Reimplemented from gdcm::ImageCodec.

bool gdcm::PNMCodec::Read | ( | const char * | filename,
|  | DataElement & | out
| ) |  | const

void gdcm::PNMCodec::SetBufferLength | ( | unsigned long | l | ) | `[inline]`

bool gdcm::PNMCodec::Write | ( | const char * | filename,
|  | const DataElement & | out
| ) |  | const

The documentation for this class was generated from the following file:

- gdcmPNMCodec.h